<?php
/**
 * Copyright © 2015 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

/**
 * @var $block \Magento\Theme\Block\Html\Title
 */
$cssClass = $block->getCssClass() ? ' ' . $block->getCssClass() : '';
$title = '';
if (trim($block->getPageHeading())) {
    $title = '<span class="base" data-ui-id="page-title-wrapper" ' .  $block->getAddBaseAttribute() . '>'
        . $block->escapeHtml($block->getPageHeading()) . '</span>';
}
?>

<?php if ($title): ?>
<?php $themeHelper = $this->helper('MGS\Mpanel\Helper\Data'); ?>
<?php 
	$image = "";
	if($themeHelper->getStoreConfig('mpanel/breadcrumbs/bg_title_page')) {
		$ObjectManagerMap = \Magento\Framework\App\ObjectManager::getInstance();
		$storeManager = $ObjectManagerMap->get('Magento\Store\Model\StoreManagerInterface');
		$currentStore = $storeManager->getStore();
		$mediaUrl = $currentStore->getBaseUrl(\Magento\Framework\UrlInterface::URL_TYPE_MEDIA);
		$image = $mediaUrl.'bg_page_title/'.$themeHelper->getStoreConfig('mpanel/breadcrumbs/bg_title_page');
		//$image = $mediaUrl.'my-account-banner.png';
	}
	if($block->getBannerImageUrl()){ 
		 $image = $block->getBannerImageUrl();
	}
	


?>
<style>
.page-title-wrapper{
	background: none;
}
.page-title-wrapper:before{
	display: none;
}
.page-title-wrapper img.img-responsive{
	width: 100%;
	max-height: 555px;
}
</style>
<div class="page-title-wrapper">
	<div class="container-fluid">
		<div class="row">
		<div class="col-lg-12 col-md-12">
			<div class="row">
	<?php if($image != ""){?>
		<img src="<?php echo $image; ?>" class="img-responsive" />
	<?php } ?>
			</div>
		</div>
		</div>
	</div>
</div>
	<div class="container">
		<?php if($themeHelper->getStoreConfig('mpanel/product_details/show_product_name')): ?>
			<span class="page-header h1"
				<?php if ($block->getId()): ?> id="<?php /* @escapeNotVerified */ echo $block->getId();?>" <?php endif; ?>
				<?php if ($block->getAddBaseAttributeAria()): ?>
					aria-labelledby="<?php /* @escapeNotVerified */ echo $block->getAddBaseAttributeAria(); ?>"
				<?php endif; ?>>
				<?php /* @escapeNotVerified */ //echo $title ?>
			</span>
		<?php else: ?>
			<h1 class="page-header"
				<?php if ($block->getId()): ?> id="<?php /* @escapeNotVerified */ echo $block->getId();?>" <?php endif; ?>
				<?php if ($block->getAddBaseAttributeAria()): ?>
					aria-labelledby="<?php /* @escapeNotVerified */ echo $block->getAddBaseAttributeAria(); ?>"
				<?php endif; ?>>
				<?php /* @escapeNotVerified */ echo $title ?>
			</h1>
		<?php endif; ?>
		<?php echo $block->getChildHtml(); ?>
	</div>
<?php endif; ?>
